Index: XIOS/dev/dev_trunk_graph/src/filter/temporal_filter.cpp
===================================================================
--- XIOS/dev/dev_trunk_graph/src/filter/temporal_filter.cpp	(revision 2030)
+++ XIOS/dev/dev_trunk_graph/src/filter/temporal_filter.cpp	(revision 2137)
@@ -23,7 +23,9 @@
                         this->samplingOffset.second, this->samplingOffset.timestep)
     , initDate(initDate)
+//    , nextSamplingDate(initDate + (this->samplingOffset + initDate.getRelCalendar().getTimeStep()))
     , nextSamplingDate(initDate + offsetMonth + ( offsetAllButMonth + initDate.getRelCalendar().getTimeStep()))
     , nbOperationDates(1)
     , nbSamplingDates(0)
+//    , nextOperationDate(initDate + opFreq + this->samplingOffset)
     , isFirstOperation(true)
     , graphCycleCompleted(true)
@@ -73,4 +75,5 @@
       {
         usePacket = (data[0]->date >= nextSamplingDate);
+//        outputResult = (data[0]->date + samplingFreq > nextOperationDate);
         outputResult = (data[0]->date  > initDate + nbOperationDates*opFreq - samplingFreq + offsetMonth + offsetAllButMonth);
         copyLess = (isInstantOperation && usePacket && outputResult);
@@ -110,7 +113,7 @@
 
         isFirstOperation = false;
-        
+//        nextOperationDate = initDate + samplingFreq + nbOperationDates*opFreq - samplingFreq + offsetMonth + offsetAllButMonth;
         graphCycleCompleted = true;
-      }
+     }
     }
 
@@ -125,4 +128,5 @@
   bool CTemporalFilter::isDataExpected(const CDate& date) const
   {
+//    return isOnceOperation ? isFirstOperation : (date >= nextSamplingDate || date + samplingFreq > nextOperationDate);
     return isOnceOperation ? isFirstOperation : (date >= nextSamplingDate || date > initDate + nbOperationDates*opFreq - samplingFreq + offsetMonth + offsetAllButMonth);
   }
Index: XIOS/dev/dev_trunk_graph/src/interface/c/iccontext.cpp
===================================================================
--- XIOS/dev/dev_trunk_graph/src/interface/c/iccontext.cpp	(revision 2030)
+++ XIOS/dev/dev_trunk_graph/src/interface/c/iccontext.cpp	(revision 2137)
@@ -68,4 +68,11 @@
    CATCH_DUMP_STACK
 
+   void cxios_context_get_id(XContextPtr context, char * _id, int _id_len)
+   TRY
+   {
+      string_copy(context->getId(),_id,_id_len);
+   }
+   CATCH_DUMP_STACK
+   
    void cxios_context_set_current(XContextPtr context, bool withswap)
    TRY
